Bug 1263231 - [RFE]: Gluster should provide "share mode"/"share reservation" support
[RFE]: Gluster should provide "share mode"/"share reservation" support
Status: POST
Product: GlusterFS
Classification: Community
Component: unclassified (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Raghavendra Talur
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-15 07:29 EDT by Raghavendra Talur
Modified: 2016-05-10 05:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Talur 2015-09-15 07:29:55 EDT
Description of problem:

Share modes or share reservations are widely use in SMB and NFS.
It would be useful to have Gluster provide support for it and manage conflicts for better multi-protocol support.
Comment 1 Vijay Bellur 2016-04-25 03:21:23 EDT
REVIEW: http://review.gluster.org/14055 (core: add share_flags to open FOP) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 2 Vijay Bellur 2016-04-25 03:21:26 EDT
REVIEW: http://review.gluster.org/14056 (sr: add share-reservation xlator) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 3 Vijay Bellur 2016-04-25 03:21:28 EDT
REVIEW: http://review.gluster.org/14057 (volgen changes) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 4 Vijay Bellur 2016-04-25 03:21:30 EDT
REVIEW: http://review.gluster.org/14058 (gfapi changes) posted (#1) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 5 Vijay Bellur 2016-04-28 04:24:22 EDT
REVIEW: http://review.gluster.org/14055 (core: add share_flags to open/create FOPs) posted (#2) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 6 Vijay Bellur 2016-04-28 12:04:27 EDT
REVIEW: http://review.gluster.org/14055 (core: add share_flags to open/create FOPs) posted (#3) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 7 Vijay Bellur 2016-04-29 03:41:08 EDT
REVIEW: http://review.gluster.org/14055 (core: add share_flags to open/create FOPs) posted (#4) for review on master by Raghavendra Talur (rtalur@redhat.com)
Comment 8 Niels de Vos 2016-05-10 05:39:40 EDT
This didnt make it for GlusterFS 3.8, moving out of the tracking tree.

Note You need to log in before you can comment on or make changes to this bug.